﻿using System;

namespace ES.Infrastructure35.ComponentModel_.DataAnnotations_
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = false)]
    public class CustomRequiredAttribute : CustomValidationBaseAttribute
    {
        protected override bool IsValid(object value)
        {
            return value != null && !string.IsNullOrEmpty(value.ToString());
        }
    }
}
