﻿using System;
using System.Linq.Expressions;
using ES.Infrastructure35;
using ES.WebInfrastructure35.Web_;

namespace ES.WebInfrastructure35.EasyUI.Builder
{
    internal class LabelBuilder<TModel> : ParseExpressionBuilder<TModel>
    {
        public LabelBuilder(Expression<Func<TModel, object>> expression, string attributeJson)
            : base("span", expression, attributeJson) { }

        protected override void ExpandFor(TagBuilder builder)
        {
            builder.Content = ObjectHelper.GetDisplayName(Property);
        }
    }
}
