﻿
namespace ES.WebInfrastructure35.EasyUI.Builder
{
    public class ValidationAttributeBuilderFactory
    {
        private static IValidationAttributeBuilder s_Builder = new CustomValidationAttributeBuilder();
        public static IValidationAttributeBuilder Builder { get { return s_Builder; } }

        public static void InitializeBuilder(IValidationAttributeBuilder builder)
        {
            s_Builder = builder;
        }
    }
}
