﻿using ES.WebInfrastructure35.Web_;

namespace ES.WebInfrastructure35.EasyUI.Builder
{
    internal class LinkbuttonBuilder : BuilderBase
    {
        private string m_text = null;

        public LinkbuttonBuilder(string text, string attributeJson)
            : base("a", "linkbutton", attributeJson)
        {
            m_text = text;
        }

        protected override void ExpandFor(TagBuilder builder)
        {
            builder.Content = m_text;
        }
    }
}
